MONGOC_URI_UNESCAPE(3)

NAME
mongoc_uri_unescape - mongoc_uri_unescape()

SYNOPSIS

char *
mongoc_uri_unescape (const char *escaped_string);

PARAMETERS

•   escaped_string: A utf8 encoded string.

DESCRIPTION

Unescapes an URI encoded string. For example, "%40" would become "@".

RETURNS

Returns a newly allocated string that should be freed with bson_free(). If escaped_string contains an invalid UTF-8 character or an invalid escape sequence, returns NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc